%define name mod_sxnet
%define version 1.2.4
%define apache_version 1.3.33
%define release 30%{_my_ext}
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}


Summary:	Strong Extranet module for mod_ssl and apache
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
License:	BSD-style
URL:		http://www.thawte.com
Source0:	ftp://ftp.thawte.com/pub/sxnet/sxnet-%{version}.tar.bz2
Source1:	sxnet.html
Patch:		sxnet-register.patch.bz2
Prereq:		apache = %{apache_version}
Prereq:		apache-common >= %{apache_version}
Prereq:		apache-conf >= %{apache_version}
Prereq:		mod_ssl
Provides:	mod_ssl-sxnet
Obsoletes:	mod_ssl-sxnet
BuildRequires:	apache-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Strong Extranet allows you to use digital certificates to authenticate
users on your web server. Typically, your users enroll in your Strong 
Extranet, under your control, through the Thawte Personal Cert System.  

%prep

%setup -q -n sxnet
%patch -p1 

perl -pi -e "s/Malloc/malloc/g;" *
perl -pi -e "s/Free/free/g;" *

cp %{SOURCE1} index.html

%build

%{_sbindir}/apxs -I%{_includedir}/openssl/ -L%{_libdir} \
    -lssl -lcrypto -c mod_sxnet.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_var}/www/html/addon-modules

install -m 755 mod_sxnet.so %{buildroot}%{_libdir}/apache-extramodules/

pushd %{buildroot}%{_var}/www/html/addon-modules
    ln -s ../../../..%{_docdir}/mod_sxnet-%{version} mod_sxnet-%{version}
popd

%pre
#Check config file sanity
if [ -e %{_sbindir}/ap13chkconfig ]; then %{_sbindir}/ap13chkconfig;fi

%post
if [ $1 = "1" ]; then 
   #We're in Install mode, add module to the config files
   for config in %{_sysconfdir}/httpd/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET
     fi
   done
   if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi
fi

if [ $1 -gt 1 ]; then 
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{_sysconfdir}/httpd/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET 
	$config
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET 
     fi
   done
   if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi
fi

%postun
if [ $1 = "0" ]; then 
   for config in %{_sysconfdir}/httpd/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_sxnet.so mod_sxnet.c sxnet_module \
	define=HAVE_SXNET
     fi
   done
   if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT LICENCE index.html
%{_libdir}/apache-extramodules/mod_sxnet.so
%{_var}/www/html/addon-modules/*

%changelog

* Tue Apr 5 2005 Scott Grayban <sgrayban@borgnet.us>
- rebuild for 10.1

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-30mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-29mdk
- rebuilt against new'ish apache1

* Fri Oct 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-28mdk
- built for apache 1.3.32
- misc spec file fixes

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-27mdk
- remove redundant provides

* Wed Jun 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-26mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.4-25mdk
- built for apache 1.3.29

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-24mdk
- rebuild

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.4-23mdk
- rebuild

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-22mdk
- new macros from ADVX-build

* Sat Jan 18 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-21mdk
- rebuilt for new openssl

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-20mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-19mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-18mdk
- Rebuild with new apache

* Fri Aug 16 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-17mdk
- rebuild against latest openssl.

* Mon Aug 12 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-16mdk
- rebuild against latest openssl.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.2.4-15mdk
- rebuild (so that it builds with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
  => fix segfault

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-14mdk
- rebuild against new apache.

* Sat May 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-13mdk
- build with gcc 3.1.
- build against new openssl.
- macroize a little more.
- remove macros in BuildRequires.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-12mdk
- Apache 1.3.24.
- Update OpenSSL version in BuildRequires.

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-11mdk
- Register module so we know it's loading or not

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-10mdk
- Rebuilt against new mod_ssl

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-9mdk
- Rebuild against latest apache.

* Thu Nov 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-8mdk
- Fix invalid-packager and no-url warning (rpmlint).

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-7mdk
- apache 1.3.22.

* Thu Oct 12 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.4-6mdk
- BuildRequires: openssl --> openssl-devel

* Tue Sep 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-5mdk
- Provides the Obsoletes for compatibility.

* Thu Sep 06 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-4mdk
- rebuild against last mod_ssl.

* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.4-3mdk
- fix spec translation

* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.4-2mdk
- new apache

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-1mdk
- Split package from mod_ssl spec, since Thawte are now supplying a module
  that adds documentation.

